# Function ngModelDirective

- ngModelDirective($rootScope): {
  compile: ((element: JQLite) => {
  post: ((scope: any, element: any, _attr: any, ctrls: any) => void);
  pre: ((scope: any, _element: any, attr: any, ctrls: any) => void);
  });
  controller: typeof NgModelController;
  priority: number;
  require: string[];
  restrict: string;
  }

- #### Parameters

  - $rootScope: any

  #### Returns {
  compile: ((element: JQLite) => {
  post: ((scope: any, element: any, _attr: any, ctrls: any) => void);
  pre: ((scope: any, _element: any, attr: any, ctrls: any) => void);
  });
  controller: typeof NgModelController;
  priority: number;
  require: string[];
  restrict: string;
  }

  - ##### compile: ((element: JQLite) => {
    post: ((scope: any, element: any, _attr: any, ctrls: any) => void);
    pre: ((scope: any, _element: any, attr: any, ctrls: any) => void);
    })

    - - (element): {
        post: ((scope: any, element: any, _attr: any, ctrls: any) => void);
        pre: ((scope: any, _element: any, attr: any, ctrls: any) => void);
        }

      - #### Parameters

        - element: JQLite

        #### Returns {
        post: ((scope: any, element: any, _attr: any, ctrls: any) => void);
        pre: ((scope: any, _element: any, attr: any, ctrls: any) => void);
        }

        - ##### post: ((scope: any, element: any, _attr: any, ctrls: any) => void)

          - - (scope, element, _attr, ctrls): void

            - #### Parameters

              - scope: any
              - element: any
              - _attr: any
              - ctrls: any

              #### Returns void

        - ##### pre: ((scope: any, _element: any, attr: any, ctrls: any) => void)

          - - (scope, _element, attr, ctrls): void

            - #### Parameters

              - scope: any
              - _element: any
              - attr: any
              - ctrls: any

              #### Returns void

  - ##### controller: typeof NgModelController

  - ##### priority: number

  - ##### require: string[]

  - ##### restrict: string

  - Defined in directive/model/model.js:1095

#####
Index

### Properties

$inject

##
Properties

### $inject

$inject: string[]

- Defined in directive/model/model.js:1094